%global upname husl

Name: python-%{upname}
Version: 4.0.3
Release: %mkrel 5
Summary: A Python implementation of HUSL
License: MIT
Group: Development/Python

URL: https://github.com/boronine/pyhusl
Source0: https://pypi.python.org/packages/source/h/husl/husl-%{version}.tar.gz
# By mistake the license is not packaged (fixed in devel version upstream)
Source1: https://raw.githubusercontent.com/husl-colors/husl-python/master/LICENSE.txt
BuildArch: noarch
BuildRequires:  python3-devel

%global _description\
HUSL is a human-friendly alternative to HSL (Hue, Saturation and Lightness)\
color space. This package provides Python2 support

%description %_description

%package -n python3-%{upname}
Summary: A Python implementation of HUSL
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description -n python3-%{upname}
HUSL is a human-friendly alternative to HSL (Hue, Saturation and Lightness)
color space. This package provides Python3 support


%prep
%setup -q -n %{upname}-%{version}

find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%generate_buildrequires
%pyproject_buildrequires

%build
cp -p %{SOURCE1} .
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files husl

%files -n python3-%{upname} -f %{pyproject_files}
%doc README.md
%license LICENSE.txt


%changelog
* Tue Dec 12 2023 papoteur <papoteur> 4.0.3-5.mga10
+ Revision: 2017566
- rebuild for python 3.12

* Fri Apr 15 2022 joequant <joequant> 4.0.3-4.mga9
+ Revision: 1850237
- update to python 3.10

* Wed Mar 23 2022 umeabot <umeabot> 4.0.3-3.mga9
+ Revision: 1823675
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 4.0.3-2.mga9
+ Revision: 1784362
- rebuild for python-3.10

* Fri Aug 21 2020 joequant <joequant> 4.0.3-1.mga9
+ Revision: 1617264
- imported package python-husl

